Edit CDR Options
Edit the enablement status of CDR options, such as fuzzy search.
Request URL
POST {base_url}/{api_path}/cdr/updateoption?access_token={access_token}
Request parameters
Note: Specify request parameter based on the source of CDR (i.e., the firmware on which the CDRs that you want to query were generated).
- For CDRs generated on firmware 83.21.0.66 or earlier, use the enb_fuzzy_search parameter.
- For CDRs generated on firmware 83.21.0.117 or later, use the enb_new_cdr_fuzzy_search parameter.
| Parameter | Required | Type | Description |
|---|---|---|---|
| enb_fuzzy_search | No | Integer | Whether to search for the fuzzy equivalent for the phone number when querying CDRs generated on firmware 83.21.0.66 or earlier. Valid value:
|
| enb_new_cdr_fuzzy_search | No | Integer | Whether to search for the fuzzy equivalent for the phone number when querying CDRs generated on 83.21.0.117 or later. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
POST /openapi/v1.0/cdr/updateoption?access_token=06zwh9feecXWZmVpJ7S5ZzhBA5Y6zO29 HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"enb_fuzzy_search": 1
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}